# Citations {#citations}

If you use OMPL in your research, we kindly ask you to include the following citation in your publications:

<ul>
<li> Ioan A. Șucan, Mark Moll, Lydia E. Kavraki, The Open Motion Planning Library, _IEEE Robotics & Automation Magazine,_ 19(4):72--82, December 2012. http://ompl.kavrakilab.org
\htmlonly
<br><div class="btn-group btn-group-xs">
  <a class="btn btn-default" href="ieee-ram-2012-ompl.pdf"> pdf </a>
  <a class="btn btn-default" href="http://dx.doi.org/10.1109/MRA.2012.2205651"> publisher </a>
  <button class="btn btn-default" type="button" data-toggle="modal" data-target="#sucan2012ompl"> bibtex </button>
</div>
<div class="modal fade" tabindex="-1" id="sucan2012ompl"><div class="modal-dialog"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button><h4 class="modal-title">BibTeX</h4></div><div class="modal-body"><pre>@article{sucan2012the-open-motion-planning-library,
    Author = {Ioan A. {\c{S}}ucan and Mark Moll and Lydia E. Kavraki},
    Doi = {10.1109/MRA.2012.2205651},
    Journal = {{IEEE} Robotics \& Automation Magazine},
    Month = {December},
    Number = {4},
    Pages = {72--82},
    Title = {The {O}pen {M}otion {P}lanning {L}ibrary},
    Note = {\url{http://ompl.kavrakilab.org}},
    Volume = {19},
    Year = {2012}
}</pre></div></div></div></div>
\endhtmlonly
</ul>

If you use the OMPL [benchmarking facilities](benchmark.html) or [Planner Arena](http://plannerarena.org), then we kindly ask you to include the following citation in your publications:
<ul>
<li> Mark Moll, Ioan A. Șucan, Lydia E. Kavraki, Benchmarking Motion Planning Algorithms: An Extensible Infrastructure for Analysis and Visualization, _IEEE Robotics & Automation Magazine,_ 22(3):96--102, September 2015.
\htmlonly
<br><div class="btn-group btn-group-xs">
  <a class="btn btn-default" href="http://www.cs.rice.edu/~mmoll/publications/moll2015benchmarking-motion-planning-algorithms.pdf"> pdf </a>
  <a class="btn btn-default" href="http://dx.doi.org/10.1109/MRA.2015.2448276"> publisher </a>
  <button class="btn btn-default" type="button" data-toggle="modal" data-target="#moll2015benchmarking"> bibtex </button>
</div>
<div class="modal fade" tabindex="-1" id="moll2015benchmarking"><div class="modal-dialog"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button><h4 class="modal-title">BibTeX</h4></div><div class="modal-body"><pre>@article{moll2015benchmarking-motion-planning-algorithms,
    Author = {Mark Moll and Ioan A. {\c{S}}ucan and Lydia E. Kavraki},
    Doi = {10.1109/MRA.2015.2448276},
    Journal = {{IEEE} Robotics \& Automation Magazine},
    Month = {September},
    Number = {3},
    Pages = {96--102},
    Title = {Benchmarking Motion Planning Algorithms: An Extensible Infrastructure for Analysis and Visualization},
    Volume = {22},
    Year = {2015}
}</pre></div></div></div></div>
\endhtmlonly
</ul>

If you use the [constrained planning](constrainedPlanning.html) capabilities of OMPL, then we kindly ask you to include the following citation in your publications:
<ul>

<li> Zachary Kingston, Mark Moll, and Lydia E. Kavraki, "Decoupling Constraints from Sampling-Based Planners," in _International Symposium of Robotics Research,_ Puerto Varas, Chile, 2017.
\htmlonly
<br><div class="btn-group btn-group-xs">
  <a class="btn btn-default" href="http://kavrakilab.org/publications/kingston2017decoupling-constraints.pdf"> pdf </a>
  <button class="btn btn-default" type="button" data-toggle="modal" data-target="#kingston2017benchmarking"> bibtex </button>
</div>
<div class="modal fade" tabindex="-1" id="kingston2017benchmarking"><div class="modal-dialog"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button><h4 class="modal-title">BibTeX</h4></div><div class="modal-body"><pre>@inproceedings{kingston2017decoupling-constraints,
  Author = {Zachary Kingston and Mark Moll and Lydia E. Kavraki},
  Address = {Puerto Varas, Chile},
  Booktitle = {International Symposium of Robotics Research},
  Title = {Decoupling Constraints from Sampling-Based Planners},
  Year = {2017}
}</pre></div></div></div></div>
\endhtmlonly
</ul>
